using LoginModule.Views;
using Prism.Modularity;
using System.Reflection;
namespace LoginModule
{
    public class LoginModule : IModule
    {
        public void OnInitialized(IContainerProvider containerProvider)
        {
            IRegionManager regionManager = containerProvider.Resolve<IRegionManager>();
            regionManager.RegisterViewWithRegion("LoginRegion", typeof(LoginView));
            regionManager.RegisterViewWithRegion("LoginRegion", typeof(RegisterView));
        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.RegisterForNavigation<LoginView>("LoginView");
            containerRegistry.RegisterForNavigation<RegisterView>("RegisterView");
        }
    }
}
